Bug 198238 - ldd -r reports undefined symbols
ldd -r reports undefined symbols
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Ben Levenson
:
Depends On:
Blocks: ldd-r-kh
  Show dependency treegraph
 
Reported: 2006-07-10 11:20 EDT by Karsten Hopp
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: nfs-utils-lib-1.0.8-7.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-02 06:22:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2006-07-10 11:20:47 EDT
Note: ldd can't handle dlopen'ed dependent libraries and these unresolved symbols
might be resolved by those. But this needs to be checked.
Reproducer: rpm -ql <packagename>| grep lib.*so | xargs ldd -r


nfs-utils-lib-devel-1.0.8-5
undefined symbol: GSS_C_NT_HOSTBASED_SERVICE    (/usr/lib/librpcsecgss.so)
undefined symbol: gss_import_name       (/usr/lib/librpcsecgss.so)
undefined symbol: gss_duplicate_name    (/usr/lib/librpcsecgss.so)
undefined symbol: gss_accept_sec_context        (/usr/lib/librpcsecgss.so)
undefined symbol: gss_release_name      (/usr/lib/librpcsecgss.so)
undefined symbol: gss_get_mic   (/usr/lib/librpcsecgss.so)
undefined symbol: gss_acquire_cred      (/usr/lib/librpcsecgss.so)
undefined symbol: gss_delete_sec_context        (/usr/lib/librpcsecgss.so)
undefined symbol: gss_display_status    (/usr/lib/librpcsecgss.so)
undefined symbol: gss_sign      (/usr/lib/librpcsecgss.so)
...
...
Comment 1 Steve Dickson 2006-07-26 10:36:46 EDT
was the libgssapi rpm installed? Those symbols are defined in libgssapi.so
Comment 2 Karsten Hopp 2006-07-26 10:42:15 EDT
yes, it was an everything install with 'yum install *'
Comment 3 Steve Dickson 2006-07-26 13:24:05 EDT
Now I'm  bit confused... after having things build and linke with
-lgssapi -ldl the .so in the build root, has everything defined

ldd -r /var/tmp/nfs-utils-lib-root/usr/lib/librpcsecgss.so.2.0.0
        linux-gate.so.1 =>  (0xb7fde000)
        libgssapi.so.2 => /usr/lib/libgssapi.so.2 (0x00c0d000)
        libdl.so.2 => /lib/libdl.so.2 (0x00a28000)
        libgssapi_krb5.so.2 => /usr/lib/libgssapi_krb5.so.2 (0x00111000)
        libc.so.6 => /lib/libc.so.6 (0x0015b000)
        /lib/ld-linux.so.2 (0x00315000)
        libkrb5.so.3 => /usr/lib/libkrb5.so.3 (0x0028e000)
        libk5crypto.so.3 => /usr/lib/libk5crypto.so.3 (0x008a3000)
        libcom_err.so.2 => /lib/libcom_err.so.2 (0x0045f000)
        libkrb5support.so.0 => /usr/lib/libkrb5support.so.0 (0x005e5000)
        libresolv.so.2 => /lib/libresolv.so.2 (0x0093f000)

But when I do your rpm command, things still come up undefined
Any idea on whats happening?? 
Comment 4 Steve Dickson 2006-07-26 13:36:07 EDT
Never mind... pilot error on my part... I need to install
the new package for the rpm command to find the new libraries...
Comment 5 Steve Dickson 2006-07-26 13:50:07 EDT
Fixed in nfs-utils-lib-1.0.8-6
Comment 6 Karsten Hopp 2006-11-02 06:22:10 EST
verified fixed in nfs-utils-lib-1.0.8-7.2

Note You need to log in before you can comment on or make changes to this bug.